import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CrSendWxMsgRecordLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 18:02
 */
interface CrSendWxMsgRecordLogCU extends ConditionUtil<CrSendWxMsgRecordLogCU> {
    UUID: FieldUtil<CrSendWxMsgRecordLogCU>;
    CSWMR_ID: FieldUtil<CrSendWxMsgRecordLogCU>;
    SEND_RESULT: FieldUtil<CrSendWxMsgRecordLogCU>;
    SEND_TIME: FieldUtil<CrSendWxMsgRecordLogCU>;
    SEND_ERROR_DESC: FieldUtil<CrSendWxMsgRecordLogCU>;
    CREATE_TIME: FieldUtil<CrSendWxMsgRecordLogCU>;
}
declare class CrSendWxMsgRecordLogMU extends TableUtilImpl<CrSendWxMsgRecordLogCU, CrSendWxMsgRecordLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CrSendWxMsgRecordLogCU;
    static get UUID(): FieldUtil<CrSendWxMsgRecordLogCU>;
    static get CSWMR_ID(): FieldUtil<CrSendWxMsgRecordLogCU>;
    static get SEND_RESULT(): FieldUtil<CrSendWxMsgRecordLogCU>;
    static get SEND_TIME(): FieldUtil<CrSendWxMsgRecordLogCU>;
    static get SEND_ERROR_DESC(): FieldUtil<CrSendWxMsgRecordLogCU>;
    static get CREATE_TIME(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get UUID(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get CSWMR_ID(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get SEND_RESULT(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get SEND_TIME(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get SEND_ERROR_DESC(): FieldUtil<CrSendWxMsgRecordLogCU>;
    get CREATE_TIME(): FieldUtil<CrSendWxMsgRecordLogCU>;
}
export { CrSendWxMsgRecordLogMU, CrSendWxMsgRecordLogCU };
